/// <reference types="sequelize" />
import { Options } from 'sequelize';
export interface ISequelizeUriConfig extends Options {
    /**
     * Uri connection string to database
     */
    url: string;
    /**
     * Path to models, which should be loaded
     */
    modelPaths?: string[];
    /**
     * Makes it possible to use sequelize for validation only
     * if set to true. For this configuration it is always false.
     * See ISequelizeValidationOnlyConfig interface
     */
    validateOnly?: false;
}
