/// <reference types="sequelize" />
import { AssociationOptions } from '../../interfaces/AssociationOptions';
import { Model } from '../Model';
import { AssociationForeignKeyOptions } from 'sequelize';
import { BaseSequelize } from '../BaseSequelize';
import { Association } from '../../enums/Association';
export declare abstract class BaseAssociation {
    private _options;
    abstract getAssociation(): Association;
    abstract getAssociatedClass(): typeof Model;
    protected abstract getPreparedOptions(model: typeof Model, sequelize: BaseSequelize): AssociationOptions;
    init(model: typeof Model, sequelize: BaseSequelize): void;
    getSequelizeOptions(): AssociationOptions;
    protected getForeignKeyOptions(relatedClass: typeof Model, classWithForeignKey: typeof Model, foreignKey?: string | AssociationForeignKeyOptions): AssociationForeignKeyOptions;
}
